Subject: Re: [PATCH v2] parisc: dont unconditionally override CROSS_COMPILE for 64 bit.

From: Sam Ravnborg <[email-masked]>
Date: Tue, 28 Feb 2012 20:54:51 +0100

On Tue, Feb 28, 2012 at 01:37:10PM -0500, Mike Frysinger wrote:
> On Tuesday 28 February 2012 13:22:50 Grant Grundler wrote:
> > On Tue, Feb 28, 2012 at 7:33 AM, John David Anglin wrote:
> > > On 2/28/2012 10:21 AM, Mike Frysinger wrote:
> > >> we've been using hppa2.0 for years.  gnuconfig certainly recognizes it:
> > >> $ grep hppa /usr/share/gnuconfig/config.**sub
> > >> 
> > >>         | h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] |
> > >> 
> > >> hppa64 \
> > >> 
> > >>         | hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \
> > >> 
> > >> and i've seen diff projects key off of the hppa2.0* to enable newer
> > >> features by
> > >> default.
> > > 
> > > Some of the above are specific to HP-UX, but hppa1.1, hppa2.0, hppa and
> > > hppa64 are
> > > valid for Linux based on config.guess.
> > 
> > Mike, et al,
> > I'd suggest NOT using hppa2.0 as a surrogate for 64-bit build. I'd prefer
> > hppa64 if 64-bit is meant.
> > 
> > hppa2.0 can also mean PA2.0 compliant binary compiled using ILP32 model.
> > right?
> 
> i don't think that's what the proposed change does.  James' patch runs $(CC) 
> to find the active tuple, then replaces the first part with "hppa64" to get a 
> 64bit toolchain automatically.  but that magic only works when the tuple is 
> "hppa-xxx" and so will fail when the system is using "hppa2.0-xxx".
> 
> short story: the proposed change will additionally support turning "hppa2.0-
> linux-gnu" into "hppa64-linux-gnu" rather than the existing "only turns hppa-
> linux-gnu" into "hppa64-linux-gnu".

There is a small helper:

    cc-cross-prefix

Which may be used ifyou have two or mroe candidated for CROSS_COMPILE.

>>From mips:
 CROSS_COMPILE := $(call cc-cross-prefix, $(tool-archpref)-linux-  $(tool-archpref)-linux-gnu-  $(tool-archpref)-unknown-linux-gnu-)

Dunno if this would help parisc in this case..

	Sam